
Redmine - Defect #12113

Removing "parent task" from first tracker renders functionality for other trackers useless.

2012-10-16 14:48 - Hans Raaf

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I switched off "sub tasks" for our "support" tracker because I do not want anybody to use them there. Then I made "support" the top

most tracker in the select fields for new tickets.

Result: I can not add any sub task in the "defects" tracker (where it is allowed) because the field does not show up initially. When I

switch the tracker to "defects" the parent task field appears but is empty.

I also wonder why adding sub tasks does not start with the same tracker type.

Associated revisions

Revision 10661 - 2012-10-17 18:58 - Jean-Philippe Lang

Adds a helper for displaying a link to add a subtask (#12113).

Revision 10662 - 2012-10-17 19:00 - Jean-Philippe Lang

Use parent tracker as the default tracker when adding a subtask (#12113).

Revision 10663 - 2012-10-17 19:01 - Jean-Philippe Lang

Use named route (#12113).

History

#1 - 2012-10-16 16:21 - Etienne Massip

Hans Raaf wrote:

When I switch the tracker to "defects" the parent task field appears but is empty.

 That is the expected behavior. The field is an autocomplete field.

#2 - 2012-10-16 17:20 - Jean-Philippe Lang

Hans Raaf wrote:

I also wonder why adding sub tasks does not start with the same tracker type.

 Good point, this should be changed.

Etienne Massip wrote:

Hans Raaf wrote:

When I switch the tracker to "defects" the parent task field appears but is empty.

 That is the expected behavior. The field is an autocomplete field.

 Yes, but if you arrive on the new issue form after clicking "add subtask" from an existing issue, this means that this issue id is lost.

#3 - 2012-10-16 17:31 - Etienne Massip

Just a thought while talking about subtasking: I think that the "Add" link in "Subtasks" should be renamed to "Create new" to prevent confusion with
the "Add" link of the "Related issues" (or best, have the 2 options).

Each time I think it will behave just like "Related issues" and offer me a field where I could fill the subtask id.

And why not even rename "Subtasks" to "Sub-issues" to make vocabulary consistent…

#4 - 2012-10-17 19:08 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

r10662 sets the tracker of the parent issue as the default tracker for the subtask, it should solve your problem.

Etienne Massip wrote:

Just a thought while talking about subtasking: I think that the "Add" link in "Subtasks" should be renamed to "Create new" to prevent confusion

with the "Add" link of the "Related issues" (or best, have the 2 options).

 If we need to change, I think that "Add new" would be better ("Create" is generally use for saving submitted data).

And why not even rename "Subtasks" to "Sub-issues" to make vocabulary consistent…

 While it may look more "consistent" (and my practice of english is not good enough to judge), it looks also not so natural (just have a look at the

request #443).

#5 - 2012-10-18 10:04 - Etienne Massip

Jean-Philippe Lang wrote:

r10662 sets the tracker of the parent issue as the default tracker for the subtask, it should solve your problem.

Etienne Massip wrote:

Just a thought while talking about subtasking: I think that the "Add" link in "Subtasks" should be renamed to "Create new" to prevent

confusion with the "Add" link of the "Related issues" (or best, have the 2 options).

 If we need to change, I think that "Add new" would be better ("Create" is generally use for saving submitted data).

 Why not just "New" and I can fill a FR to add a "Add" actually working the same as the "Add" of "Related issues", i.e. allowing user to select already

existing issues for being subtasks of the current issue?

And why not even rename "Subtasks" to "Sub-issues" to make vocabulary consistent…

 While it may look more "consistent" (and my practice of english is not good enough to judge), it looks also not so natural (just have a look at the

request #443).

 Same, agreed.
